Skip to main content
PATCH
/
conversations
/
{conversation_id}
Update conversation
curl --request PATCH \
  --url https://api.partoo.co/v2/conversations/{conversation_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '{}'
import requests

url = "https://api.partoo.co/v2/conversations/{conversation_id}"

payload = {}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.partoo.co/v2/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

conversation_id
integer
required

The id of the conversation to update

Body

application/json

Request body to update a Conversation

status
enum<string>

You can close or re-open the conversation.
It will change the "is_solved" boolean of the conversation but it won't change the is_expired.
If the conversation is expired we can't re-open it.

Available options:
open,
closed
assigned_user_id
enum<string>

Only for enterprise organizations. The user will be assigned to the conversation.

You can only assign a conversation to a user that:

  • is active
  • is of type human (not bot)
  • has access to the conversation
Available options:
USER_ID,
unassigned

Response

OK

status
enum<string>
Available options:
success